Package uk.ac.starlink.votable.dom

## Class DelegatingText

- java.lang.Object
- - uk.ac.starlink.votable.dom.DelegatingNode
  - - uk.ac.starlink.votable.dom.DelegatingCharacterData
    - - uk.ac.starlink.votable.dom.DelegatingText

All Implemented Interfaces:
  `org.w3c.dom.CharacterData`, `org.w3c.dom.Node`, `org.w3c.dom.Text`

Direct Known Subclasses:
  `DelegatingCDATASection`

    public class DelegatingText
    extends DelegatingCharacterData
    implements org.w3c.dom.Text

### Field Summary

### Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

### Constructor Summary

Constructors
`protected` `DelegatingText​(org.w3c.dom.Text base, DelegatingDocument doc)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getWholeText()`
`boolean` `isElementContentWhitespace()`
`org.w3c.dom.Text` `replaceWholeText​(java.lang.String content)`
`org.w3c.dom.Text` `splitText​(int offset)`

### Methods inherited from class uk.ac.starlink.votable.dom.DelegatingCharacterData

`appendData, deleteData, getData, getLength, insertData, replaceData, setData, substringData`

### Methods inherited from class uk.ac.starlink.votable.dom.DelegatingNode

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.w3c.dom.CharacterData

`appendData, deleteData, getData, getLength, insertData, replaceData, setData, substringData`

### Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

### Constructor Detail

#### DelegatingText

    protected DelegatingText​(org.w3c.dom.Text base,
                             DelegatingDocument doc)

### Method Detail

#### splitText

    public org.w3c.dom.Text splitText​(int offset)

Specified by:
  `splitText` in interface `org.w3c.dom.Text`

#### isElementContentWhitespace

    public boolean isElementContentWhitespace()

Specified by:
  `isElementContentWhitespace` in interface `org.w3c.dom.Text`

#### getWholeText

    public java.lang.String getWholeText()

Specified by:
  `getWholeText` in interface `org.w3c.dom.Text`

#### replaceWholeText

    public org.w3c.dom.Text replaceWholeText​(java.lang.String content)

Specified by:
  `replaceWholeText` in interface `org.w3c.dom.Text`